require 'foodie/version'
require 'uri'
require 'net/http'
require 'openssl'
module Foodie
  # Your code goes here...
  class WhoIs
    def self.awesome?
      puts 'YOU ARE AWESOME!!'
    end

    def self.httpbin
      url = 'https://httpbin.org/get'
      uri = URI.parse(url)
      response = Net::HTTP.get(uri)
      puts response
      response
    end

    def self.httpbin_basic
      url = 'https://httpbin.org/basic-auth/user/passwd'
      uri = URI(url)

      req = Net::HTTP::Get.new(uri)
      req.basic_auth 'user', 'passwd'

      Net::HTTP.start(uri.hostname, uri.port,
                      :use_ssl => uri.scheme == 'https', :verify_mode => OpenSSL::SSL::VERIFY_NONE) do |http|
        request = Net::HTTP::Get.new uri.request_uri
        request.basic_auth 'user', 'passwd'

        response = http.request request # Net::HTTPResponse object

        puts response
        puts response.body
        return response
      end
    end

    def version_info
      Foodie::VERSION
    end

  end
end
